{
  config,
  pkgs,
  lib,
  ...
}: {
  # Example host-specific module: set hostname and small per-host packages
  # The machine file can set `config.local.hostname` before importing this module if desired.
  networking.hostName = config.local.hostname or "default-hostname";

  users.users.${config.local.username or "defaultuser"} = {
    isNormalUser = true;
    description = config.local.userDescription or "NixOS Playground";
    extraGroups = ["networkmanager" "wheel" "seat" "acme" "wheel"];
    packages = with pkgs; [];
    initialPassword = "nixos"; # Simple, change on first login

    # NitroKey3C OpenGPG /w pin - Christine's key, for alpha run only, later to be replaced with the more official key
    openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIO3pjIXlpg7H9h1RrmdxbIRnDIdQvf/EZKI9PG2/rY7D openpgp:0x8BCD4992"
    ];
  };
}
